
Foreman - Bug #10938

Crash during the provisioning when trying to overwrite the interface IP

06/26/2015 04:58 AM - Anthony Lapenna

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Foreman is not able to provision a machine using an IP address already registered in the DNS.

Scenario:

Create a host using network provisioning

Use DCHP to attribute an IP address to the machine's interface

Submit the creation

Now, Foreman may warn about a conflict for the DNS entry, something like "A PTR entry already exists for

IP_ADDRESS/HOSTNAME.DOMAIN" (translation).

Now go back to the interface tab, push the overwrite button and foreman crashes with the following exception:

Net::Validations::Error

Invalid MAC

lib/net/validations.rb:40:in `validate_mac'

lib/net/dhcp/record.rb:7:in `initialize'

app/models/concerns/orchestration/dhcp.rb:19:in `new'

app/models/concerns/orchestration/dhcp.rb:19:in `dhcp_record'

app/models/concerns/orchestration/dhcp.rb:131:in `queue_remove_dhcp_conflicts'

app/models/concerns/orchestration/dhcp.rb:85:in `queue_dhcp'

app/models/concerns/orchestration.rb:48:in `valid?'

app/models/concerns/orchestration.rb:48:in `valid?'

app/models/concerns/foreman/sti.rb:29:in `save_with_type'

app/controllers/hosts_controller.rb:84:in `create'

app/controllers/concerns/application_shared.rb:13:in `set_timezone'

app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

lib/middleware/catch_json_parse_errors.rb:9:in `call' 

Related issues:

Is duplicate of Foreman - Bug #5859: VM creation fails after IP conflict Closed 05/21/2014

History

#1 - 07/15/2015 04:41 AM - Dominic Cleal

- Is duplicate of Bug #5859: VM creation fails after IP conflict added

#2 - 07/15/2015 04:41 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report, this is tracked as #5859 and is a bug in the compute orchestration code.  It's skipping the VM creation when "Override" is used

when it shouldn't be.
